<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mySalesBrokerLabel" jhiTranslate="mpmApp.salesBroker.home.createOrEditLabel">Create or edit a Sales Broker</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>

    
    <div class="modal-body"> 
        <p-panel>
            
            <div class="form-group" [hidden]="!salesBroker.idPartyRole">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="salesBroker.idPartyRole" readonly />
            </div>

            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.salesBroker.idBroker" for="field_idBroker">Id Broker</label>
                <input type="text" class="form-control" name="idBroker" id="field_idBroker"
                    [(ngModel)]="salesBroker.idBroker"  />
            </div>
    
            <div class="form-group">
                <label>Tipe Broker</label>
                <select class="form-control" id="field_brokerType" name="brokerType" [(ngModel)]="salesBroker.brokerTypeId">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="brokerTypeOption.idBrokerType" *ngFor="let brokerTypeOption of brokerTypes; trackBy: trackBrokerTypeById">{{brokerTypeOption.description}}</option>
                </select>
            </div>
            
        </p-panel>

        <jhi-person-view [person]="salesBroker.person"></jhi-person-view>

    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
